hotpocket_app:
  deployment_directory: "/srv/hotpocket_staging"
  owner: "hotpocket_staging"
  group: "hotpocket_staging"
  mode: "aio"
  loki:
    url: "http://monitoring.vm.snakeweb.net.bthlabs.net:3100/loki/api/v1/push"
    node: "home.vm.snakeweb.net"
  docker:
    extra_hosts:
      - "home.vm:10.0.1.2"
  backend:
    image_tag: "{{ hotpocket_app_image_tag|default('aio-v25.10.29-rc1-01') }}"
    model_auth_is_disabled: false
    env: "staging"
    extra_env:
      - "HOTPOCKET_BACKEND_SECRETS_PACKAGE=hotpocket_bthlabs.secrets"
      - "VAULT_URL={{ hotpocket_app_secrets.backend.vault.url }}"
      - "VAULT_ROLE_ID={{ hotpocket_app_secrets.backend.vault.role_id }}"
      - "VAULT_SECRET_ID={{ hotpocket_app_secrets.backend.vault.secret_id }}"
    oidc:
      enabled: false
    webapp:
      settings_module: "hotpocket_bthlabs.settings.webapp"
      loki:
        external_labels: "job=hotpocket,service=backend-webapp,environment=staging"
      allowed_hosts:
        - "staging.hotpocket.app"
  customization:
    - src: "{{ inventory_dir }}/env_vars/staging/etc/backend/entrypoint.d/01-install-customized-deps.sh"
      dest: "etc/backend/entrypoint.d/01-install-customized-deps.sh"
      mode: "755"
    - src: "{{ inventory_dir }}/env_vars/staging/etc/backend/entrypoint.d/99-collectstatic.sh"
      dest: "etc/backend/entrypoint.d/99-collectstatic.sh"
      mode: "755"
    - src: "{{ inventory_dir }}/env_vars/staging/lib/backend/requirements.txt"
      dest: "lib/backend/requirements.txt"
